//======================================================================
// Skybox fr Bunker Hill
//======================================================================

textures/fiesling/nacht
{
	qer_editorimage textures/fiesling/nacht_up.tga
	surfaceparm sky
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_skyLight 30 3 
	q3map_sun 0.30 0.35 0.57 65 145 55
	skyparms env/nacht/nacht - -


{
		map textures/fiesling_sfx/feine_wolken.tga
		blendfunc blend
		tcMod scroll 0.002 0.00
		tcMod scale 2 1
 	}
}


//======================================================================
// Basis fr den Metashader 
//======================================================================

textures/fiesling/waldterra_base
{
	q3map_lightmapMergable
	q3map_lightmapaxis z
   //	q3map_lightmapsize 512 512
      q3map_normalimage textures/fiesling_bump/normalmap_terrain.tga
	q3map_tcGen ivector ( 384 0 0 ) ( 0 384 0 )
  	q3map_tcMod rotate 37
	surfaceparm grasssteps
	q3map_nonplanar
}

//======================================================================
// Metashader - Bunker Hill Terrain
//======================================================================

textures/wald2/terrain_0
{
		q3map_baseshader textures/fiesling/waldterra_base
	
{
		map textures/terraintexturen/mxrock2b.jpg
}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_1
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxrock1aa.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_2
{
	
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/waldterrain/dirt_dark.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_3
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxsnow0.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_4
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxrock0b.jpg
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_0to1
{
		q3map_baseshader textures/fiesling/waldterra_base
	{
		map textures/terraintexturen/mxrock2b.jpg
	}
	{
		map textures/terraintexturen/mxrock1aa.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_0to2
{
		q3map_baseshader textures/fiesling/waldterra_base
	{
		map textures/terraintexturen/mxrock2b.jpg
	}
	{
		map textures/waldterrain/dirt_dark.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_0to3
{
		q3map_baseshader textures/fiesling/waldterra_base
	{
		map textures/terraintexturen/mxrock2b.jpg
	}
	{
		map textures/terraintexturen/mxsnow0.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3
		detail
	}
}

textures/wald2/terrain_0to4
{
		q3map_baseshader textures/fiesling/waldterra_base
	{
		map textures/terraintexturen/mxrock2b.jpg
	}
	{
		map textures/terraintexturen/mxrock0b.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_1to2
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxrock1aa.jpg
	}
	{
		map textures/waldterrain/dirt_dark.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_1to3
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxrock1aa.jpg
	}
	{
		map textures/terraintexturen/mxsnow0.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_1to4
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxrock1aa.jpg
	}
	{
		map textures/terraintexturen/mxrock0b.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_2to3
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/waldterrain/dirt_dark.tga
	}
	{
		map textures/terraintexturen/mxsnow0.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_2to4
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/waldterrain/dirt_dark.tga
	}
	{
		map textures/terraintexturen/mxrock0b.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

textures/wald2/terrain_3to4
{
		q3map_baseshader textures/fiesling/waldterra_base
{
		map textures/terraintexturen/mxsnow0.jpg
	}
	{
		map textures/terraintexturen/mxrock0b.jpg
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
	}
{
		map textures/fiesling/stein_detail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 3 3 
		detail
	}
}

//textures/wald2/terrain.vertex
//{
//	{
//		map textures/terraintexturen/mxrock2b.jpg
//		rgbGen vertex
//	}
//}